<script setup>

import { ref, onMounted } from 'vue'


const user = ref()
const userRole = ref()

   onMounted(()=>{
    user.value = localStorage.getItem("username")
    userRole.value = localStorage.getItem("role")
 })




</script>


<template>
    <div class="w-full max-w-sm px-20 py-10">
        <div class="flex flex-col items-center">
            <svg class="w-24 h-24 mb-3 fill-slate-700" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512">
                <path d="M224 256A128 128 0 1 0 224 0a128 128 0 1 0 0 256zm-45.7 48C79.8 304 0 383.8 0 482.3C0 498.7 13.3 512 29.7 512H418.3c16.4 0 29.7-13.3 29.7-29.7C448 383.8 368.2 304 269.7 304H178.3z"/>
            </svg>
            <h5 class="mb-1 text-xl font-medium text-gray-900 dark:text-white capitalize">{{user}}</h5>
            <span class="text-sm text-gray-500 dark:text-gray-400 capitalize">{{ userRole }}</span>
            <div v-if="userRole==='user'" class="flex mt-4 md:mt-6">
                <RouterLink :to="'/' + user  +'/reservations'" class="py-2 px-4 ms-2 text-sm font-medium text-gray-900 focus:outline-none bg-white rounded-lg border border-gray-200 hover:bg-gray-100 hover:text-blue-700 focus:z-10 focus:ring-4 focus:ring-gray-100">Reservations</RouterLink>
                
            </div>
        </div>
    </div>
</template>